<html>

<head>
	<script type=module src="/static/index.mjs"></script>
</head>

<body>

	<h1>{{.PageTitle}}</h1>
	<ul>
		{{range .Todos}}
		{{if .Done}}
		<li class="done">{{.Title}}</li>
		{{else}}
		<li>{{.Title}}</li>
		{{end}}
		{{end}}
	</ul>

	<form action="/sql" method="get">
		<textarea name="sql" id="sql" rows="8" cols="40">{{ .SQL }}</textarea>
		<input type="submit" name="" id="" value="Submit">
	</form>

	<pre>

		{{ range .Rows }}
		{{ range . }}
		{{ . }}
		{{ end }}
		{{ end }}
	</pre>
</body>

</html>
